Main Page Class List Class Members

# VHACD::SArray< T, N > Class Template Reference

SArray. More...

`#include <vhacdSArray.h>`

List of all members.

## Public Member Functions
void | Allocate (size_t size)
void | Clear ()
const T *const | Data () const
T *const | Data ()
bool | Erase (const T &value)
bool | Find (const T &value, size_t &pos)
void | Initialize ()
bool | Insert (const T &value)
void | operator= (const SArray &rhs)
const T & | operator[] (size_t i) const
T & | operator[] (size_t i)
void | PopBack ()
void | PushBack (const T &value)
void | Resize (size_t size)
| SArray ()
| SArray (const SArray &rhs)
size_t | Size () const
| ~SArray ()

## Detailed Description

### template<typename T, size_t N = 64>
class VHACD::SArray< T, N >

SArray.

## Constructor & Destructor Documentation

template<typename T, size_t N = 64>

VHACD::SArray< T, N >::SArray | ( | const SArray< T, N > & | rhs | ) | `[inline]`

template<typename T, size_t N = 64>

VHACD::SArray< T, N >::SArray | ( |  | ) | `[inline]`

template<typename T, size_t N = 64>

VHACD::SArray< T, N >::~SArray | ( |  | ) | `[inline]`

## Member Function Documentation

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::Allocate | ( | size_t | size | ) | `[inline]`

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::Clear | ( |  | ) | `[inline]`

template<typename T, size_t N = 64>

const T* const VHACD::SArray< T, N >::Data | ( |  | ) | const`[inline]`

template<typename T, size_t N = 64>

T* const VHACD::SArray< T, N >::Data | ( |  | ) | `[inline]`

template<typename T, size_t N = 64>

bool VHACD::SArray< T, N >::Erase | ( | const T & | value | ) | `[inline]`

template<typename T, size_t N = 64>

bool VHACD::SArray< T, N >::Find | ( | const T & | value,
|  | size_t & | pos |
| ) |  |  | `[inline]`

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::Initialize | ( |  | ) | `[inline]`

template<typename T, size_t N = 64>

bool VHACD::SArray< T, N >::Insert | ( | const T & | value | ) | `[inline]`

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::operator= | ( | const SArray< T, N > & | rhs | ) | `[inline]`

template<typename T, size_t N = 64>

const T& VHACD::SArray< T, N >::operator[] | ( | size_t | i | ) | const`[inline]`

template<typename T, size_t N = 64>

T& VHACD::SArray< T, N >::operator[] | ( | size_t | i | ) | `[inline]`

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::PopBack | ( |  | ) | `[inline]`

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::PushBack | ( | const T & | value | ) | `[inline]`

template<typename T, size_t N = 64>

void VHACD::SArray< T, N >::Resize | ( | size_t | size | ) | `[inline]`

template<typename T, size_t N = 64>

size_t VHACD::SArray< T, N >::Size | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdSArray.h